@charset "utf-8";

.btn-link--clear {
  /* layout */
  display: grid;
  grid-template-columns: 1fr auto;
  width: 100%;
  padding-block: var(--space-12);
  padding-inline: calc(1.25 * var(--space-16));
  border-radius: var(--rounded-full);
  border: 1px solid var(--color--link);
  box-shadow: 0 0 0 0 var(--button--color-border);
  transition: box-shadow 0.3s ease;
  /* style */
  color: var(--link-button--text-color);
  text-decoration: none;
}
/*===========================
top common
=============================*/
.section-title {
  display: flex;
  justify-content: center;
  align-items: center;
}

.section__title-en {
  color: var(--color-red-500);
  font-size: var(--font-size-48);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  line-height: 1;
  /* text-shadow: var(--text-shadow-exbold); */
  text-transform: capitalize;
}

.section__title-ja {
  color: var(--color--text);
  font-size: var(--font-size-18);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  /* text-shadow: var(--text-shadow-bold); */
}

.top .contents {
  margin-block-start: var(--header-height);
}

@media (width <= 576px) {
  .section__title-en {
    font-size: var(--font-size-36);
  }
  .section__title-ja {
    font-size: var(--font-size-16);
  }
}
/*===========================
Important
=============================*/
.important-news {
  background: var(--color--theme-yellow);
  padding-block: var(--space-40);
}

.important-news__container {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: var(--space-16) var(--space-24);
  padding-inline: var(--space-64);
}

.important-news__title {
  grid-column: 1;
}

.important-news__title span {
  display: inline;
  position: relative;
  padding-block-end: var(--space-6);

  /* style */
  color: var(--color--theme-red);
  font-size: var(--font-size-27);
  font-weight: var(--font-weight-regular);
  line-height: 1;
}

.important-news__title span::after {
  content: '';
  position: absolute;
  inset-block-end: 0;
  inset-inline-start: 0;
  width: 100%;
  height: 1px;
  background: var(--color--theme-red);
}

.important-news__link {
  grid-column: 2;
  gap: var(--space-8);
  padding-block: var(--space-4);
  background: var(--color--theme-red);
  box-shadow: 0 0 0 0 var(--color--bg-default);
  transition: box-shadow 0.3s ease;
}

.important-news__link:hover {
  box-shadow: 0 0 0 2px var(--color--bg-default);
}

.important-news__list {
  grid-column: 1 / -1;
  grid-row: 2;
  display: grid;
  row-gap: var(--space-6);
  grid-auto-flow: row;
}

.important-news__item {
  position: relative;
  padding-inline-start: 0.8em;
}

.important-news__item a {
  /* style */
  color: var(--color--text);
  font-size: var(--font-size-23);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
}

.important-news__item a::before {
  content: '';
  position: absolute;
  display: block;
  inset-inline-start: 0;
  inset-block-start: 0.6em;
  width: 9px;
  height: 9px;
  border-radius: var(--rounded-full);
  background: var(--color--theme-red);
}

.important-news__link {
  place-items: center;
}

.important-news__link-text {
  grid-column: 1;
  grid-row: 1;
}

.important-news__icon {
  grid-column: 2;
  grid-row: 1;
}

.important-news__link-text {
  /* sytle */
  color: var(--color--text-inverse);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-light);
  letter-spacing: var(--tracking-50);
}

@media (width <= 768px) {
  .important-news {
    padding-block: var(--space-32);
  }

  .important-news__container {
    padding-inline: var(--space-32);
  }

  .important-news__title {
    grid-column: 1 / -1;
    grid-row: 1;
    place-self: center;
  }

  .important-news__list {
    grid-column: 1 / -1;
    grid-row: 2;
    padding-block-start: var(--space-16);
  }

  .important-news__link {
    grid-column: 1 / -1;
    grid-row: 3;
    place-self: center;
    width: fit-content;
  }

  .important-news__title span {
    font-size: var(--font-size-22);
  }

  .important-news__item {
    font-size: var(--font-size-17);
  }
}

/*===========================
main-visual
=============================*/
.main-visual {
  padding-block: var(--space-40);
  background: var(--color--bg-subtle);
}

.main-visual__container {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: var(--space-40) var(--space-24);
}

/* mv layout */
.library-hours {
  grid-column: 1;
}

.library-auth {
  grid-column: 1;
  grid-row: 2;
}

.slider-container {
  grid-column: 2;
  grid-row: span 2;
}

@media (width <= 992px) {
  .library-hours {
    grid-column: 1;
  }

  .library-auth {
    grid-column: 1;
    grid-row: 2;
  }

  .slider-container {
    grid-column: 2;
    grid-row: span 2;
  }
}

/*===========================
library-hours
=============================*/
.library-hours {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  gap: var(--space-16) 0;
  place-items: center;
  width: 100%;
  max-width: 440px;
  padding-block: var(--space-8) var(--space-24);
  padding-inline: var(--space-12);
  background: var(--color--bg-default);
  border-radius: 14px;
  box-shadow: var(--elevation);
}

/* grid layout */
.library-hours__header {
  grid-column: 1 / -1;
  width: 100%;
}

.library-hours__status {
  grid-column: 2 / span 3;
  grid-row: 2;
  place-self: center end;
}

.library-hours__schedule {
  grid-column: 6 / span 6;
  grid-row: 2;
}

.library-hours__next-day {
  grid-column: 1/ -1;
  grid-row: 3;
}

.library-hours__footer {
  grid-column: 1 / -1;
  grid-row: 4;
}

.library-hours__header {
  display: grid;
  place-items: center;
  gap: var(--space-12);
  width: 100%;
}

.library-hours__title {
  width: 100%;
  padding-block: var(--space-6);
  background: var(--color--bg-subtler);
  /* style */
  color: var(--color-red-500);
  font-size: var(--font-size-23);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  text-align: center;
}

.library-hours__date {
  font-size: var(--font-size-22);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-100);
  text-align: center;
}

.library-hours__status {
  grid-row: 2;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr auto;
  padding-block: var(--space-8);
  gap: var(--space-6);
  width: 100%;
  height: 100%;
  background: var(--color--bg-subtler);
  border-radius: var(--rounded-md);
}

.library-hours__status-icon-wrap {
  place-self: end center;
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 50px;
  height: 100%;
  max-height: 50px;
}

.library-hours__status-icon--open {
  width: 100%;
  height: 100%;
  aspect-ratio: 1;
  border: 6px solid var(--color-red-500);
  border-radius: var(--rounded-full);
}

.library-hours__status-icon--closed {
  width: 100%;
  border-top: 6px solid var(--color-red-500);
}

.library-hours__status-badge {
  color: var(--color-red-500);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-regular);
  letter-spacing: calc(200 / 1000 * 1em);
  text-align: center;
}

.library-hours__schedule {
  place-self: center start;
  display: flex;
  flex-direction: column;
}

.library-hours__schedule-title {
  color: var(--color-red-500);
  font-size: var(--font-size-22);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-100);
}

.library-hours__times {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--space-6);
}

.library-hours__time-main,
.library-hours__time-note {
  margin-block: 0;
}

.library-hours__time-main {
  color: var(--color-red-500);
  font-size: var(--font-size-30);
  font-weight: var(--font-weight-medium);
  line-height: 1;
  letter-spacing: var(--tracking-100);
  text-wrap: nowrap;
}

.library-hours__time-note {
  color: var(--color-red-500);
  font-size: var(--font-size-15);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-30);
}

.library-hours__next-day {
  place-self: center;
}

.library-hours__next-day > p {
  margin-block: 0;
  color: var(--color-red-500);
  font-size: var(--font-size-22);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-100);
}

.library-hours__calendar-link {
  gap: var(--space-32);
  padding-inline-start: var(--space-40);
  padding-inline-end: var(--space-12);
  padding-block: var(--space-8);
  transition: background-color 0.3s ease-in;
}

.library-hours__calendar-link:hover,
.library-hours__calendar-link:focus-within {
  background: var(--color--bg-subtler);
}

.library-hours__calendar-label {
  place-self: center start;
  font-size: var(--font-size-19);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}

.library-hours__calendar-icon {
  place-self: center end;
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 16px;
  height: auto;
}

.library-hours__calendar-icon img {
  width: 100%;
  height: auto;
}

/*===========================
library-auth
=============================*/
.library-auth {
  display: grid;
  grid-template-columns: 1fr;
  place-items: center;
  gap: var(--space-24);
  width: 100%;
  max-width: 440px;
  padding-block: var(--space-24);
  padding-inline: var(--space-16);
  background: var(--color--bg-subtler);
  border-radius: 14px;
}

.library-auth__title {
  margin-bottom: 0;
  color: var(--color-red-500);
  font-size: var(--font-size-44);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  line-height: 1;
  /* text-shadow: var(--text-shadow-exbold); */
}

.library-auth__login-link {
  max-width: 330px;
  padding-block: var(--space-16);
  padding-inline: var(--space-24);
  background: var(--color--link);
  box-shadow: 0 0 0 0 var(--button--color-border-hover);
  transition: box-shadow 0.3s ease;
}

.library-auth__login-link:hover,
.library-auth__login-link:focus-within {
  box-shadow: 0 0 0 3px var(--button--color-border-hover);
}

.library-auth__login-title {
  place-self: center;
  display: grid;
  grid-template-columns: auto 1fr;
  place-items: center start;
  gap: var(--space-12);
  /* style */
  color: var(--color--text-inverse);
  font-size: var(--font-size-26);
  font-weight: var(--font-weight-regular);
  line-height: 1.2;
  letter-spacing: var(--tracking-30);
  white-space: nowrap;
}

.library-auth__unlock-icon {
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 26px;
}

.library-auth__arrow-icon {
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 32px;
}

.library-auth__unlock-icon img,
.library-auth__arrow-icon img {
  width: 100%;
  height: auto;
}

.library-auth__link-title {
  color: var(--color-red-500);
  font-size: var(--font-size-19);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-30);
  line-height: 1;
  text-align: center;
}

.library-auth__help-link:hover,
.library-auth__help-link:focus-within {
  text-decoration: none;
}

.library-auth__register-link {
  gap: var(--space-16);
  width: fit-content;
  padding-block: var(--space-8);
  padding-inline: var(--space-32) var(--space-16);
  background: var(--color--bg-default);
  transition: background-color 0.3s ease-in;
}

.library-auth__register-link:hover,
.library-auth__register-link:focus-within {
  background: var(--color-neutral-70);
}

/*===========================
large <= 992px
=============================*/
@media (width <= 992px) {
  .main-visual__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  /* grid layout */
  .library-auth {
    grid-column: 2;
    grid-row: 1;
  }
}
/*===========================
medium <= 768px
=============================*/
@media (width <= 768px) {
  .main-visual__container {
    display: grid;
    grid-template-columns: 1fr;
  }

  /* grid layout */
  .library-auth {
    grid-column: 1;
    grid-row: 2;
  }

  .library-hours,
  .library-auth {
    max-width: unset;
  }
}
/*===========================
small <= 576px
=============================*/
@media (width <= 576px) {
  .main-visual__container {
    row-gap: var(--space-24);
  }

  .library-hours {
    gap: var(--space-16) var(--space-16);
  }

  .library-hours__status {
    grid-column: 2 / span 4;
  }

  .library-hours__schedule {
    grid-column: 6 / span 7;
  }

  .library-auth {
    gap: var(--space-16);
    padding-inline: var(--space-40);
  }
  /* size change */
  .library-hours__date,
  .library-hours__title {
    font-size: var(--font-size-20);
  }

  .library-hours__dat,
  .library-hours__next-day > p {
    font-size: var(--font-size-18);
  }

  .library-hours__time-note {
    font-size: var(--font-size-15);
  }

  .library-hours__status-icon-wrap {
    place-self: center;
    max-width: 40px;
    max-height: 40px;
  }

  .library-hours__status-badge {
    font-size: var(--font-size-14);
  }

  .library-hours__schedule-title {
    font-size: var(--font-size-14);
    letter-spacing: var(--tracking-100);
  }

  .library-hours__time-main {
    font-size: var(--font-size-21);
  }

  .library-auth__title {
    font-size: var(--font-size-28);
  }

  .library-auth__login-title {
    font-size: var(--font-size-19);
  }

  .library-hours__calendar-label,
  .library-auth__link-title {
    font-size: var(--font-size-16);
  }
}

/*===========================
Slider
=============================*/

.slider-container {
  display: none;
  position: relative;
  width: 100%;
  max-width: 520px;
  aspect-ratio: 1 / 1;
  margin-inline: auto;
  padding: 40px 0;
}

/* PCで表示するスライダー */
.main-visual .slider-container {
  display: block;
  order: 2;
}
/* 検索エリア内のスライダー（SP用） - 初期状態では非表示 */
.top-search .slider-container {
  display: none;
}

.slide_box {
  position: relative;
  margin-inline: auto;
  transform-style: preserve-3d;
}

.slide {
  position: relative;
  width: 100%;
  height: auto;
  aspect-ratio: 1 / 1;
  margin-inline: auto;
  backface-visibility: hidden;
  border-radius: var(--rounded-xl);
  box-shadow: var(--elevation);
  overflow: hidden;
}

/* 画像コンテナを追加 */
.slide:after {
  content: '';
  position: absolute;
  inset: 0;
  border: 8px solid #ffffff;
  border-radius: var(--rounded-xl);
  pointer-events: none;
  z-index: 1;
}

/* 画像のスタイル */
.slide img {
  position: absolute;
  inset: 0;
  width: 106%;
  height: 106%;
  object-fit: cover;
  aspect-ratio: 1 / 1;
  box-sizing: border-box;
  backface-visibility: hidden;
}

.slide_bg {
  content: '';
  position: absolute;
  inset: 0;
  width: 100%;
  max-width: 520px;
  aspect-ratio: 1 / 1;
  background: var(--color-red-300);
  border-radius: var(--rounded-xl);
  rotate: -9deg;
  z-index: -1;
}

/* controller */
.slide-control {
  position: absolute;
  inset-block-end: calc(var(--space-16) * -1.5);
  inset-inline-end: calc(var(--space-40) * -1.5);
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: var(--space-16);
}

/* pagination */
.slider-pagination {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  margin-block-start: 0;
}

.slider-pagination .dot {
  width: var(--slider-paginagion--size);
  height: var(--slider-paginagion--size);
  background: #f4dcdc;
  border-radius: var(--rounded-full);
  display: inline-block;
  margin: 0 5px;
  outline: 1px solid transparent;
  outline-offset: 2px;
  transition: all 0.2s ease;
  cursor: pointer;
}

.slider-pagination .slick-active .dot {
  background: var(--slider-pagination--active);
}

.slider-pagination .dot:hover,
.slider-pagination .dot:focus-within {
  outline: 1px solid var(--slider-pagination--active);
}

.slick-dots {
  position: relative;
  display: flex;
  justify-content: flex-end;
  inset-block-end: 4px;
}

/* play-stop */
.buttons {
  position: relative;
  display: flex;
  gap: var(--space-8);
  margin-block-start: 0;
  inset-inline-end: 0;
  z-index: 5;
}

.button {
  display: inline-block;
  padding: 10px 20px;
  margin: 0 10px;
  background-color: var(--slider-button--color);
  cursor: pointer;
}

.buttons .button {
  position: relative;
  width: var(--slider-button--size);
  height: var(--slider-button--size);
  margin: 0;
  border-radius: var(--rounded-full);
  opacity: 1;
  overflow: visible;
  transition: all 0.2s ease 0s;
  outline: 2px solid transparent;
}

.buttons .button:hover,
.buttons .button:focus-within {
  outline: 2px solid var(--silder-button--border-hover);
  border: none !important;
}

.buttons .button:focus-visible,
.buttons .button:focus:not(:hover) {
  outline: 2px solid var(--silder-button--border-hover);
}

.buttons .js-play,
.buttons .js-play::before {
  border: none;
  background: var(--slider-button--color-play);
}

.buttons .js-stop {
  background: var(--slider-button--color-stop);
  border: 1px solid var(--silder-button--border);
}

.buttons .button.js-play::before {
  content: '';
  position: absolute;
  display: inline-block;
  inset-inline-start: 50%;
  inset-block-start: 50%;
  width: 12px;
  height: 12px;
  margin: 0;
  transform: translate(-70%, -50%) rotate(45deg);
  border-top: 3px solid var(--color--text-inverse);
  border-right: 3px solid var(--color--text-inverse);
  transition: border-width 0.2s ease;
  background: transparent;
  box-shadow: none;
  border-bottom: none;
  border-left: none;
}

.buttons .button.js-stop::before,
.buttons .button.js-stop::after {
  content: '';
  position: absolute;
  inset-block-start: 50%;
  inset-inline-start: calc(50% - (1.5px + 3.8px));
  width: 4px;
  height: 15px;
  margin: 0;
  background: var(--slider-button--color-play);
  transform: translateY(-50%);
}

.buttons .button.js-stop::after {
  inset-inline-start: calc(50% + 2px);
}

/* arrows */
.slick-prev,
.slick-next {
  width: 32px;
  height: 32px;
  border-top: 2px solid var(--color-red-500);
  border-right: 2px solid var(--color-red-500);
  transition: border-width 0.2s ease;
}

.slick-prev {
  inset-inline-start: -4vw;
  transform: rotate(-135deg);
  display: inline-block;
}
.slick-next {
  inset-inline-end: -4vw;
  transform: rotate(45deg);
  display: inline-block;
}

.slick-prev:hover,
.slick-prev:focus-within,
.slick-next:hover,
.slick-next:focus-within {
  border-top-width: 4px;
  border-right-width: 4px;
}

@media (width > 1200px) {
  .slider-container {
    min-height: 600px;
  }
}

@media (width <= 1200px) {
  .slider-container {
    max-width: 450px;
    min-height: 540px;
  }
  .slide_bg {
    max-width: 450px;
  }
  .slide-control {
    inset-inline-end: calc(var(--space-16) * -1);
  }
}

@media (width <= 992px) {
  .slider-container,
  .slide_bg {
    max-width: 520px;
    min-height: fit-content;
    margin-block-end: 40px;
  }

  .main-visual .slider-container {
    display: none;
  }

  .top-search .slider-container {
    display: block;
    order: 1;
  }

  .top-search {
    order: 0;
  }

  .slide-control {
    inset-inline-end: calc(var(--space-16) * -1.2);
    inset-block-end: calc(var(--space-32) * -3.5);
  }
}

@media (width <= 576px) {
  .slider-container {
    max-width: 76vw;
  }

  .buttons .button {
    width: var(--slider-button--size-mobile);
    height: var(--slider-button--size-mobile);
  }

  .slick-next {
    inset-inline-end: -8vw;
  }

  .slick-prev {
    inset-inline-start: -8vw;
  }

  .slide-control {
    inset-block-end: calc(var(--space-32) * -3);
  }
}
/*************************************************
 top-search
**************************************************/
.top-search {
  display: flex;
  flex-direction: column;
  padding-block: var(--space-64) calc(var(--space-64) * 1.2);
  background: var(--color--bg-default);
}

.top-search__container {
  /* layout */
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  grid-template-rows: auto auto auto;
  gap: var(--space-24) var(--space-40);
}

/* grid layout */
.top-search__title {
  grid-column: 1;
  grid-row: 1;
}

.top-search__content {
  grid-column: 1 / -1;
  grid-row: 2 / -1;
  display: grid;
  grid-template-columns: subgrid;
  grid-template-rows: subgrid;
}

.top-search__form {
  grid-column: 1;
  grid-row: 1;
}

.top-search__quick-links {
  grid-column: 1;
  grid-row: 2;
}

.top-search__extended-container {
  grid-column: 2;
  grid-row: 1 / span 2;
}

/* style */
.top-search__title {
  justify-content: flex-start;
  gap: var(--space-16);
}

.top-search__title .section__title-ja {
  padding-block-start: var(--space-6);
}

/*===========================
keyword search
=============================*/
.top-search__form-wrapper {
  display: flex;
  flex-direction: column;
  row-gap: var(--space-8);
  padding-block-end: 0;
}

.top-search__form-label {
  color: var(--color-red-500);
  font-size: var(--font-size-26);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  /* text-shadow: var(--text-shadow-exbold); */
}

/* 入力グループのレイアウト */
.top-search__form .top-search__form-wrapper .top-search__input-group {
  display: flex;
  align-items: stretch;
  gap: var(--space-8);
  width: 100%;
  max-width: 100%;
  margin-inline: auto;
  overflow-x: hidden;
}

/* 入力フィールドのベーススタイル */
.top-search__form .top-search__form-wrapper .top-search__input-group .top-search__input {
  flex: 1;
  min-height: 70px;
  width: 100%;
  max-width: 100%;
  box-sizing: border-box;
  padding-inline: 1em;
  border: 1px solid var(--color-red-500);
  border-radius: var(--rounded-md);
  background: var(--color--bg-subtle);
  font-size: var(--font-size-18);
  transition: background-color 0.3s ease-in, border-color 0.3s ease, box-shadow 0.3s ease;
}

/* プレースホルダーのスタイル（全ブラウザ） */
.top-search__input::placeholder,
.top-search__input::-webkit-input-placeholder,
.top-search__input::-moz-placeholder,
.top-search__input::-ms-input-placeholder {
  color: var(--color--placeholder);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-medium);
  letter-spacing: var(--tracking-50);
}

/* Firefox用の不透明度設定 */
.top-search__input::-moz-placeholder {
  opacity: 1;
}

/* 入力フィールドのホバー・フォーカス状態 */
.top-search__form .top-search__input-group .top-search__input:hover,
.top-search__form .top-search__input-group .top-search__input:focus {
  background: var(--color-neutral-70);
  outline: none;
  box-shadow: 0 0 0 2px var(--color-red-100);
}

.top-search__button-wrapper {
  position: relative;
}

/* 検索ボタン */
.top-search__form .top-search__input-group .top-search__button {
  /* layout */
  position: relative;
  display: grid;
  place-items: center;
  min-width: 110px;
  height: 70px;
  padding-block: var(--space-16);
  padding-inline: var(--space-24) var(--space-4);
  border: none;
  border-radius: var(--rounded-md);
  background: var(--color-red-500);
  font-size: 1em;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.top-search__form .top-search__input-group .top-search__button span {
  /* sytle */
  color: var(--color--text-inverse);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-medium);
  letter-spacing: calc(70 / 1000 * 1em);
}

/* 検索アイコン */
.top-search__form .top-search__input-group .top-search__button span::before {
  content: '';
  position: absolute;
  left: 1em;
  top: 50%;
  transform: translateY(-50%);
  width: 24px;
  height: 24px;
  background: url('../img/icon-search-wh.png') no-repeat center / contain;
  pointer-events: none;
}

/* ボタンのホバー・フォーカス状態 */
.top-search__form .top-search__input-group .top-search__button:hover,
.top-search__form .top-search__input-group .top-search__button:focus {
  background-color: #7e1036;
  transform: translateY(-1px);
}

/* ボタンのアクティブ状態 */
.top-search__form .top-search__input-group .top-search__button:active {
  transform: translateY(0);
}

/*===========================
quick-links
=============================*/
.top-search__quick-links {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: var(--space-24);
}

.top-search__quick-link {
  display: grid;
  grid-template-columns: auto auto;
  gap: var(--space-8);

  /* style */
  color: var(--color--link);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
}

.top-search__quick-link:hover,
.top-search__quick-link:focus-within {
  text-decoration: none;
}

.top-search__advanced-link {
  gap: var(--space-24);
  padding-block: var(--space-8);
  padding-inline-end: var(--space-12);
  background: var(--color--bg-subtler);
  transition: background-color 0.3s ease-in;
}

.top-search__advanced-link:hover {
  background: var(--color--bg-subtle);
}

.top-search__label {
  color: var(--color--link);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
}

/*===========================
extended-links
=============================*/
.top-search__extended-container {
  display: flex;
  flex-direction: column;
  gap: var(--space-24);
}

.top-search__extended-links {
  display: flex;
  flex-wrap: wrap;
  gap: var(--space-16);
}

.top-search__extended-link {
  place-items: center;
  gap: var(--space-24);
  padding-block: var(--space-16);
  padding-inline: var(--space-24) var(--space-16);
  border: 1.5px solid transparent;
  transition: border-color 0.3s ease;
}

.top-search__extended-link:hover,
.top-search__extended-link:focus-within {
  border-color: var(--color--link);
}

.top-search__extended-links--primary .top-search__extended-link {
  background: var(--color--bg-subtler);
}

.top-search__extended-links--secondary .top-search__extended-link {
  background: var(--color-neutral-70);
}

.top-search__label {
  color: var(--color--link);
  font-size: var(--font-size-19);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-30);
}

/*===========================
large <= 992px
=============================*/
@media (width <= 992px) {
  .top-search {
    padding-block-end: calc(var(--space-64) * 1.5);
  }
  .top-search__container {
    /* layout */
    display: grid;
    grid-template-columns: 1fr;
    grid-auto-flow: row;
    gap: var(--space-16);
  }

  /* grid layout */
  .top-search__title {
    grid-column: 1;
    grid-row: 1;
  }

  .top-search__content {
    grid-column: 1;
    grid-row: 2 / 6;
    display: grid;
    grid-template-columns: subgrid;
    grid-template-rows: subgrid;
  }

  .top-search__form {
    grid-column: 1;
    grid-row: 1;
  }

  .top-search__quick-links {
    grid-column: 1;
    grid-row: 2;
  }

  .top-search__extended-container {
    grid-column: 1;
    grid-row: 3;
  }
}

/*===========================
small <= 576px
=============================*/
@media (width <= 576px) {
  .top-search {
    padding-block-start: var(--space-32);
  }

  .top-search__container {
    padding-inline: var(--space-12);
  }

  .top-search__title {
    flex-direction: column;
    row-gap: 0;
  }

  /* size change */
  .top-search__form-label {
    font-size: var(--font-size-18);
  }

  .top-search__form .top-search__form-wrapper .top-search__input-group .top-search__input,
  .top-search__form .top-search__input-group .top-search__button {
    min-height: 53px;
  }

  .top-search__form .top-search__input-group .top-search__button {
    height: 53px;
    min-width: 84px;
    padding-block: var(--space-12);
    padding-inline: var(--space-24) var(--space-4);
    text-align: end;
  }

  .top-search__form .top-search__input-group .top-search__button span::before {
    inset-block-start: 54%;
    inset-inline-start: 0.6em;
    width: 18px;
    height: 18px;
  }

  .top-search__input::placeholder,
  .top-search__input::-webkit-input-placeholder,
  .top-search__input::-moz-placeholder,
  .top-search__input::-ms-input-placeholder {
    font-size: var(--font-size-13);
  }

  .top-search__quick-link {
    font-size: var(--font-size-15);
  }
  .top-search__extended-link {
    gap: var(--space-8);
    padding-block: var(--space-12);
    padding-inline: var(--space-12);
  }

  .top-search__label {
    font-size: var(--font-size-15);
  }
  .top-search__extended-container {
    row-gap: var(--space-16);
  }
  .top-search__extended-links {
    /* width: fit-content; */
    /* justify-content: space-between;/ */
  }
}
/*************************************************
 top-bg
**************************************************/
.bg {
  width: 100%;
  height: auto;
}

.bg img {
  width: 100%;
  height: 100%;
}
/*************************************************
 Information
**************************************************/
.top-info__container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(32px, 1fr));
  gap: var(--space-16) var(--space-24);
  padding-block: var(--space-64);
}

/* grid layout */
.top-info__heading {
  grid-column: 1 / span 3;
}

.top-info__more {
  grid-column: 1 / span 3;
  grid-row: 2;
}

.top-info__content {
  grid-column: 4 / span 8;
  grid-row: 1 / span 3; /* 明示的に指定 */
}

/* layout */
.top-info__heading {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  gap: var(--space-8);
}

.top-info__content {
  display: grid;
  grid-template-columns: subgrid;
  gap: var(--space-64) var(--space-24);
}

.top-info__tabs {
  grid-column: 3 / span 6;
  grid-row: 1;
  display: grid;
  grid-template-columns: repeat(3, minmax(100px, 1fr));
  gap: var(--space-24);
  height: fit-content;
}

.top-info__panel {
  grid-column: 1 / -1;
  grid-row: 2;
}

.top-info__more-link {
  gap: var(--space-24);
  width: fit-content;
  margin-block-start: var(--space-64);
  padding-inline: var(--space-32) var(--space-16);
  background: var(--color--bg-subtler);
  border: 1.5px solid transparent;
  transition: border-color 0.3s ease;
}

.top-info__more-link:hover {
  border-color: var(--color--link);
}

.top-info__panel[role='tabpanel'] {
  display: grid;
  width: 100%;
  height: min-content;
}

[role='tabpanel'].is-hidden {
  display: none;
}

[role='tablist'] button {
  /* layout */
  width: 100%;
  padding-block: var(--space-8);
  background: var(--color-neutral-70);
  border: none;
  border-radius: var(--rounded-full);
  transition: background-color 0.3s ease-in;
  cursor: pointer;

  /* style */
  color: var(--color-red-500);
  font-size: var(--font-size-19);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
  /* text-shadow: var(--text-shadow-exbold); */
  white-space: nowrap;
}

[role='tablist'] button:hover,
[role='tablist'] button:focus-within {
  background: var(--color-red-300);
}

[role='tab'][aria-selected='true'] {
  position: relative;
  background: var(--color-red-200);
  cursor: default;
}

[role='tab'][aria-selected='true']::after {
  content: '';
  position: absolute;
  z-index: calc(var(--stack-foreground) + 3);
  bottom: -8px;
  left: 50%;
  transform: translateX(-50%);
  width: 0;
  height: 0;
  border-left: 11px solid transparent;
  border-right: 11px solid transparent;
  border-top: 9px solid var(--color-red-200);
  transition: border-top-color 0.3s ease-in;
}

[role='tab'][aria-selected='true']:hover::after,
[role='tab'][aria-selected='true']:focus-within::after {
  border-top-color: var(--color-red-300);
}

.top-info__list {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--space-16);
  padding-inline-end: var(--space-24);
}

.top-info__item {
  position: relative;
  display: grid;
  grid-template-columns: auto minmax(150px, auto) 1fr;
  column-gap: var(--space-8);
  padding-block-start: var(--space-12);
  padding-block-end: var(--space-24);
  /* border-bottom: 1px solid var(--border-gray); */
}

.top-info__item::after {
  content: '';
  position: absolute;
  inset-block-end: 0;

  inset-inline-start: calc(var(--space-24) * -1);
  inset-inline-end: calc(var(--space-24) * -1);
  height: 1px;
  background-color: var(--border-gray);
}

.top-info__date {
  width: 100%;
  /* style */
  font-size: var(--font-size-15);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  white-space: nowrap;
}

.top-info__category {
  display: grid;
  place-items: center;
  width: 100%;
  max-width: 150px;
  height: 2em;
  padding-block: var(--space-6);
  border-radius: var(--rounded-full);

  /* style */
  color: var(--color--link);
  font-size: var(--font-size-15);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}

.top-info__title {
  display: inline;
}

.top-info__link {
  position: relative;
  min-width: 0;
  /* sytle */
  color: var(--color--text);
  font-size: var(--font-size-15);
  font-weight: var(--font-weight-regular);
  letter-spacing: var(--tracking-50);
  text-decoration: none;
}

.top-info__link:hover,
.top-info__link:focus-within {
  text-decoration: underline;
}

@media (width <= 992px) {
  .top-info__date {
    grid-column: 1;
    grid-row: 1;
  }
  .top-info__category {
    grid-column: 2;
    grid-row: 1;
  }

  .top-info__title {
    grid-column: 1 / -1;
    grid-row: 2;
  }

  .top-info__tabs {
    gap: var(--space-8);
  }

  [role='tablist'] button {
    font-size: var(--font-size-16);
  }
}

@media (width <= 768px) {
  /* grid layout */
  .top-info__container {
    row-gap: var(--space-32);
  }

  .top-info__heading {
    grid-column: 1 / -1;
    grid-row: 1;
  }

  .top-info__more {
    grid-column: 1 / -1;
    grid-row: 3;
  }

  .top-info__content {
    grid-column: 1 / -1;
    grid-row: 2;
    row-gap: var(--space-40);
  }

  .top-info__tabs {
    grid-column: 1 / -1;
  }

  /* style */
  .top-info__heading {
    place-self: center;
    justify-content: center;
    align-items: center;
  }

  .top-info__list {
    padding-inline: var(--space-16);
  }

  .top-info__item::after {
    inset-inline-start: calc(var(--space-16) * -1);
    inset-inline-end: calc(var(--space-16) * -1);
  }
  .top-info__more {
    place-self: center;
  }
  .top-info__more-link {
    margin-block-start: 0;
  }
}

@media (width <= 576px) {
  .top-info__container {
    padding-inline: var(--space-8);
  }
  .top-info__item {
    row-gap: var(--space-6);
  }

  [role='tablist'] button {
    padding-inline: var(--space-4);
    font-size: 4vw;
  }

  .top-info__tabs {
    gap: var(--space-8);
  }

  .top-info__category {
    max-width: 100px;
  }

  .top-info__list {
    padding-inline: var(--space-32);
  }
}
/*************************************************
 Pagelinks
**************************************************/
.page-nav {
  width: 100%;
  background: var(--color--bg-subtler);
  padding-block: var(--space-64) calc(var(--space-64) * 1.2);
}

.page-nav__container {
  display: flex;
  flex-direction: column;
  row-gap: var(--space-64);
}

.page-nav__heading {
  display: grid;
  place-items: center;
}

.page-nav__title {
  position: relative;
  display: inline;
  padding-block-end: var(--space-16);

  /* style */
  color: var(--color-red-700);
  font-size: var(--font-size-28);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}

.page-nav__title::after {
  content: '';
  position: absolute;
  inset-inline-start: 0;
  inset-block-end: 0;
  width: 100%;
  height: 1px;
  background: var(--color-red-700);
}

.page-nav__list {
  position: relative;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: var(--space-24);
}

.page-nav__item {
  position: relative;
  z-index: var(--stack-foreground);
}

.page-nav__item::after {
  content: '';
  position: absolute;
  top: 4px;
  left: 4px;
  width: 100%;
  height: 100%;
  background: var(--color-red-300);
  border-radius: var(--rounded-lg);
  z-index: var(--stack-background);
}

.page-nav__link {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  width: 100%;
  height: 100%;
  min-height: 170px;
  aspect-ratio: 1 / 1;
  padding-block: var(--space-24) var(--space-8);
  background: var(--color--bg-default);
  border-radius: var(--rounded-lg);
  border: 2px solid transparent;
  transition: background-color 0.3s ease-in, border-color 0.3s ease;
  /* style */
  color: var(--color--text);
  text-decoration: none;
}

.page-nav__link:hover,
.page-nav__link:focus-within {
  background-color: var(--color-red-100);
  border-color: var(--color--link);
}

.page-nav__icon {
  place-self: end center;
  display: grid;
  place-items: center;
  width: auto;
  height: 100%;
  max-height: 64px;
}

.page-nav__icon img {
  width: auto;
  max-width: 100%;
  height: 100%;
  min-height: 64px;
}

.page-nav__link-title {
  display: grid;
  place-items: center;
  width: 100%;
  padding-inline: var(--space-6);
  color: var(--color--text);
  font-size: var(--font-size-18);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
  text-align: center;
}

@media (width <= 576px) {
  .page-nav__container {
    row-gap: var(--space-32);
  }
  .page-nav {
    padding-block: var(--space-32) var(--space-40);
  }

  .page-nav__list {
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  }

  .page-nav__link {
    row-gap: var(--space-4);
    min-height: 150px;
    padding-block: var(--space-16) var(--space-16);
  }

  .page-nav__icon {
    height: 50px;
  }

  .page-nav__icon img {
    max-height: 50px;
  }

  .page-nav__link-title {
    font-size: var(--font-size-16);
  }
}

/*************************************************
 BannerLinks
**************************************************/
.banner-link {
  padding-block: calc(var(--space-40) * 2);
  background: var(--color--bg-subtle);
}

.banner-link__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: var(--space-40);
  place-items: center;
}

.banner-link__item {
  max-width: 250px;
  aspect-ratio: 1 / 1;
  overflow: hidden;
}

.banner-link__link img {
  width: 100%;
  height: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.banner-link__link:hover img,
.banner-link__link:focus-within img {
  transform: scale(1.1);
}

@media (width <= 768px) {
  .banner-link__list {
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: var(--space-24);
  }
}

@media (width <= 576px) {
  .banner-link {
    padding-block: var(--space-32);
  }

  .banner-link__list {
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  }
}

/*************************************************
 Servicelinks
**************************************************/
.library-services {
  padding-block: calc(var(--space-40) * 1.5);
}

.library-services__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: var(--space-24) var(--space-40);
}

.library-services__link {
  display: grid;
  grid-template-columns: 1fr auto;
  place-items: center start;
  column-gap: var(--space-6);
  width: 100%;
  padding-block: var(--space-24);
  padding-inline: var(--space-16);
  background: var(--color--bg-subtler);
  border-radius: 12px;
  box-shadow: 0 0 0 0 var(--color-red-500);
  transition: box-shadow 0.3s ease;

  /* style */
  color: var(--color--text);
  text-decoration: none;
}

.library-services__link:hover,
.library-services__link:focus-within {
  box-shadow: 0 0 0 1.5px var(--color-red-500);
}

.library-services__title {
  color: var(--color--text);
  font-size: var(--font-size-19);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
  /* text-shadow: var(--text-shadow-exbold); */
}

@media (width <= 576px) {
  .library-services {
    padding-block: var(--space-40);
  }

  .library-services__link {
    max-width: unset;
    padding-inline: var(--space-24);
  }
}

/*************************************************
 LibraryNetwork
**************************************************/
.library-network {
  width: 100%;
  padding-block: calc(var(--space-64) * 1.2);
  background: var(--color--bg-subtler);
}

.library-network__container {
  display: grid;
  grid-template-columns: auto 1fr;
  place-items: center;
  column-gap: var(--space-40);
  width: 100%;
  max-width: calc(880px + 32px);
  margin-inline: auto;
  padding-inline: var(--space-16);
}

.library-network__heading {
  display: grid;
  grid-template-columns: 1fr;
  place-items: center;
  row-gap: var(--space-12);
  width: fit-content;
}

.library-network__heading-jp {
  color: var(--color-red-700);
  font-size: var(--font-size-30);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}
.library-network__heading-en {
  color: var(--color-red-700);
  font-size: var(--font-size-23);
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
}

.library-network__container > nav {
  width: 100%;
}

.library-network__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--space-24) var(--space-40);
  width: 100%;
}

.library-network__link {
  display: grid;
  grid-template-columns: 1fr auto;
  place-items: center start;
  column-gap: var(--space-24);
  width: 100%;
  padding-block: var(--space-24);
  padding-inline: var(--space-16);
  background: var(--color--bg-default);
  border-radius: 12px;
  border: 1.5px solid transparent;
  box-shadow: var(--elevation-red);
  transition: border-color 0.3s ease, background-color 0.3s ease-in;

  /* style */
  color: var(--color-red-500);
  text-decoration: none;
}

.library-network__link:hover,
.library-network__link:focus-within {
  background-color: var(--color-red-100);
  border-color: var(--color-red-500);
}

.library-network__title {
  color: var(--color-red-500);
  font-size: var(--font-size-20);
  /* font-weight: var(--font-weight-light); */
  font-weight: var(--font-weight-regular);
  line-height: 1;
  letter-spacing: var(--tracking-50);
  /* text-shadow: var(--text-shadow-exbold); */
}

@media (width <= 992px) {
  .library-network__container {
    grid-template-columns: 1fr;
    row-gap: var(--space-32);
  }
}

@media (width <= 768px) {
  .library-network__title {
    font-size: var(--font-size-18);
  }
}

@media (width <= 576px) {
  .library-network {
    padding-block: var(--space-40);
  }

  .library-network__list {
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
    gap: var(--space-24) 0;
  }

  .library-network__link {
    padding-inline: var(--space-24);
  }
}

/*************************************************
Otherlinks
**************************************************/
.other-link {
  padding-block: var(--space-64);
}

.other-link__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: var(--space-16) var(--space-40);
}

.other-link__item {
  width: 100%;
}

.other-link__link {
  display: grid;
  place-items: center;
}

.other-link__link img {
  width: 100%;
  height: auto;
  object-fit: cover;
  transition: opacity 0.3s ease;
}

.other-link__link:hover img,
.other-link__link:focus-within img {
  opacity: 0.6;
}

@media (width <= 576px) {
  .other-link {
    padding-block: var(--space-32) var(--space-8);
  }

  .other-link__list {
    grid-template-columns: repeat(auto-fit, minmax(140px, 1fr));
    gap: var(--space-16) var(--space-16);
  }
}
